Production release for the Android Wikipedia app on 29th April 2015
Closed, ResolvedPublic

Description

A minor release containing bug fixes and minor UX/UI tweaks and improvements.

@bearND and @Mholloway will add three or four bullet points here documenting the biggest changes.

Deskana created this task.Apr 23 2015, 6:26 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a subscriber: Deskana.
Restricted Application added a project: Notice. · View Herald TranscriptApr 23 2015, 6:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana moved this task from Unscheduled to April 27-May 1 on the Roadmap board.
Deskana updated the task description. (Show Details)Apr 23 2015, 6:29 PM
Deskana set Security to None.
Deskana added subscribers: Mholloway, bearND.
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 23 2015, 9:15 PM
bearND claimed this task.Apr 27 2015, 3:07 PM

Going through test report.

First draft of "What's new":

  • ShareAFact card design improvements
  • Detect network connectivity in case of page load error
  • Prevent IP edits when user is logged in
  • Prevent action bar from reverting to black on new page load if lead image is available
  • Fix issue with moving the first paragraph in some articles
  • Display local article name in 'Read in other languages' list
  • Reuse the same WebView for faster article navigation
  • Make enter key submit request when the user is filling in a captcha
  • Several crash fixes
Deskana added a comment.EditedApr 29 2015, 7:25 PM

@bearND Here's some suggested improvements to it, to remove language that users might not be familiar with:

  • Minor design improvements to the enhanced sharing feature
  • Fixed a bug which caused the app to sometimes make edits logged out even though you were logged in
  • Fixed a bug where server problems would incorrectly display as network connection problems
  • Improve action bar fade transition
  • Fixed a rare display issue with the first paragraph in articles
  • Display local article name in 'Read in other languages' list
  • Reuse the same web view for faster article navigation
  • Make enter key submit request when the user is filling in a captcha
  • Several crash fixes

@Deskana The text is too long. We need to keep it <= 500 characters to be able to submit it to the store.

@bearND This should be under the limit:

  • Minor design tweaks to enhanced sharing feature
  • Fixed a bug which caused the app to sometimes make edits logged out even if you are logged in
  • Fixed a bug where server problems would incorrectly display as network connection problems
  • Improved action bar fade transition
  • Fixed a rare display issue with the first paragraph in articles
  • Improved 'Read in other languages' list
  • Reuse the same web view for faster article navigation
  • Made enter key submit captchas
  • Fixed several crashes

Great! Thank you. After adding some bullet point chars we've got space for 3 more chars. ;)

bearND moved this task from QA Signoff to Done on the Mobile-App-Sprint-56-Android board.

Just increased staged roll out to 100%.

gpaumier closed this task as Resolved.May 6 2015, 9:14 PM
gpaumier added a subscriber: gpaumier.

https://play.google.com/store/apps/details?id=org.wikipedia says "Updated: May 1, 2015" so I'm assuming this is now complete.

gpaumier moved this task from Triaged to Archive on the Notice board.May 29 2015, 8:22 PM